Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 771105 - app-admin/mongo-tools-100.2.1 with dev-lang/go-1.16 - no required module provides package github.com/mongodb/mo ngo-tools/bsondump: working directory is not part of a module
Summary: app-admin/mongo-tools-100.2.1 with dev-lang/go-1.16 - no required module prov...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Ultrabug
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: 771129
  Show dependency tree
 
Reported: 2021-02-17 16:19 UTC by Ben Kohler
Modified: 2021-03-12 15:24 UTC (History)
9 users (show)

See Also:
Package list:
app-admin/mongo-tools-4.2.12 app-admin/mongo-tools-100.3.0
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Kohler gentoo-dev 2021-02-17 16:19:03 UTC
* Package:    app-admin/mongo-tools-100.2.1
 * Repository: gentoo
 * Maintainer: ultrabug@gentoo.org
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux ssl userland_GNU
 * FEATURES:   network-sandbox preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Unpacking mongo-tools-100.2.1.tar.gz to /var/tmp/portage/app-admin/mongo-tools-100.2.
1/work
>>> Source unpacked in /var/tmp/portage/app-admin/mongo-tools-100.2.1/work
>>> Preparing source in /var/tmp/portage/app-admin/mongo-tools-100.2.1/work/src/github.co
m/mongodb/mongo-tools ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-admin/mongo-tools-100.2.1/work/src/github.
com/mongodb/mongo-tools ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/app-admin/mongo-tools-100.2.1/work/src/github.co
m/mongodb/mongo-tools ...
Building bsondump
bsondump/main/bsondump.go:13:2: no required module provides package github.com/mongodb/mo
ngo-tools-common/log: working directory is not part of a module
bsondump/main/bsondump.go:14:2: no required module provides package github.com/mongodb/mo
ngo-tools-common/signals: working directory is not part of a module
bsondump/main/bsondump.go:15:2: no required module provides package github.com/mongodb/mo
ngo-tools-common/util: working directory is not part of a module
bsondump/main/bsondump.go:16:2: no required module provides package github.com/mongodb/mo
ngo-tools/bsondump: working directory is not part of a module
 * ERROR: app-admin/mongo-tools-100.2.1::gentoo failed (compile phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line 125:  Called src_compile
 *   environment, line 462:  Called die
 * The specific snippet of code:
 *           GOROOT="$(go env GOROOT)" GOPATH="${WORKDIR}" go build -buildmode="${buildmode}" -o "bin/$i" -ldflags "-X ${EGO_PN}/common/options.VersionStr=${PV}" --tags "${myconf[*]}" "$i/main/$i.go" || die;
 *
 * If you need support, post the output of `emerge --info '=app-admin/mongo-tools-100.2.1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=app-admin/mongo-tools-100.2.1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/app-admin/mongo-tools-100.2.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-admin/mongo-tools-100.2.1/temp/environment'.
 * Working directory: '/var/tmp/portage/app-admin/mongo-tools-100.2.1/work/src/github.com/mongodb/mongo-tools'
 * S: '/var/tmp/portage/app-admin/mongo-tools-100.2.1/work/src/github.com/mongodb/mongo-tools'
Comment 1 Ryan Qian 2021-02-22 08:01:46 UTC
This is because go-1.16 uses GO111MODULE='on' by default, change

```
GOROOT="$(go env GOROOT)" GOPATH="${WORKDIR}" go build -buildmode="${buildmode}" -o "bin/$i" \
```

to


```
GO111MODULE='off' GOROOT="$(go env GOROOT)" GOPATH="${WORKDIR}" go build -buildmode="${buildmode}" -o "bin/$i" \
```

will solve this problem.
Comment 2 Brandon Penglase 2021-03-03 01:01:31 UTC
(In reply to Ryan Qian from comment #1)
> This is because go-1.16 uses GO111MODULE='on' by default, change
> 
> ```
> GOROOT="$(go env GOROOT)" GOPATH="${WORKDIR}" go build
> -buildmode="${buildmode}" -o "bin/$i" \
> ```
> 
> to
> 
> 
> ```
> GO111MODULE='off' GOROOT="$(go env GOROOT)" GOPATH="${WORKDIR}" go build
> -buildmode="${buildmode}" -o "bin/$i" \
> ```
> 
> will solve this problem.

Can confirm that applying this to the .ebuild, at least built mongo-tools.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-03-05 09:42:18 UTC
Ping.
Comment 4 Larry the Git Cow gentoo-dev 2021-03-07 15:53:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd01c1c5e356c7d31a63144321dc2c9fa9ed7ce8

commit cd01c1c5e356c7d31a63144321dc2c9fa9ed7ce8
Author:     Tomáš Mózes <hydrapolic@gmail.com>
AuthorDate: 2021-03-05 17:47:46 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2021-03-07 15:50:22 +0000

    app-admin/mongo-tools: bump to 4.2.12 / 100.3.0
    
    Closes: https://bugs.gentoo.org/771105
    Thanks-to:  Ryan Qian <i@bitbili.net>
    Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com>
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 app-admin/mongo-tools/Manifest                   |  2 +
 app-admin/mongo-tools/mongo-tools-100.3.0.ebuild | 61 ++++++++++++++++++++++
 app-admin/mongo-tools/mongo-tools-4.2.12.ebuild  | 64 ++++++++++++++++++++++++
 3 files changed, 127 insertions(+)
Comment 5 Tomáš Mózes 2021-03-12 12:46:17 UTC
go-1.16.2 is stable, we need to stabilize mongo-tools too.
Comment 6 Sam James archtester gentoo-dev Security 2021-03-12 15:24:57 UTC
amd64 done

all arches done